Package io.strimzi.systemtest.kafkaclients

## Class AbstractKafkaClient.Builder<SELF extends AbstractKafkaClient.Builder<SELF>>

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.AbstractKafkaClient.Builder<SELF>

- Direct Known Subclasses:
    `BasicExternalKafkaClient.Builder`, `InternalKafkaClient.Builder`, `OauthExternalKafkaClient.Builder`, `TracingExternalKafkaClient.Builder`
  Enclosing class:
    AbstractKafkaClient<C extends AbstractKafkaClient.Builder<C>>

      public abstract static class AbstractKafkaClient.Builder<SELF extends AbstractKafkaClient.Builder<SELF>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractKafkaClient<?>` | `build()` |
    `SELF` | `withCertificateAuthorityCertificateName​(String caCertName)` |
    `SELF` | `withClusterName​(String clusterName)` |
    `SELF` | `withConsumerGroupName​(String consumerGroup)` |
    `SELF` | `withConsumerProperties​(ConsumerProperties consumerProperties)` |
    `SELF` | `withKafkaUsername​(String kafkaUsername)` |
    `SELF` | `withListenerName​(String listenerName)` |
    `SELF` | `withMessageCount​(int messageCount)` |
    `SELF` | `withNamespaceName​(String namespaceName)` |
    `SELF` | `withPartition​(Integer partition)` |
    `SELF` | `withProducerProperties​(ProducerProperties producerProperties)` |
    `SELF` | `withSecretPrefix​(String secretPrefix)` |
    `SELF` | `withSecurityProtocol​(org.apache.kafka.common.security.auth.SecurityProtocol securityProtocol)` |
    `SELF` | `withTopicName​(String topicName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withTopicName

          public SELF withTopicName​(String topicName)

    - #### withPartition

          public SELF withPartition​(Integer partition)

    - #### withNamespaceName

          public SELF withNamespaceName​(String namespaceName)

    - #### withClusterName

          public SELF withClusterName​(String clusterName)

    - #### withMessageCount

          public SELF withMessageCount​(int messageCount)

    - #### withConsumerGroupName

          public SELF withConsumerGroupName​(String consumerGroup)

    - #### withKafkaUsername

          public SELF withKafkaUsername​(String kafkaUsername)

    - #### withSecurityProtocol

          public SELF withSecurityProtocol​(org.apache.kafka.common.security.auth.SecurityProtocol securityProtocol)

    - #### withCertificateAuthorityCertificateName

          public SELF withCertificateAuthorityCertificateName​(String caCertName)

    - #### withListenerName

          public SELF withListenerName​(String listenerName)

    - #### withProducerProperties

          public SELF withProducerProperties​(ProducerProperties producerProperties)

    - #### withConsumerProperties

          public SELF withConsumerProperties​(ConsumerProperties consumerProperties)

    - #### withSecretPrefix

          public SELF withSecretPrefix​(String secretPrefix)

    - #### build

          public AbstractKafkaClient<?> build()
                                       throws InstantiationException

      Throws:
        `InstantiationException`